Documentation for automated readers
A curated documentation index is available at: https://grafana.com/llms.txt
A complete documentation index is available at: https://grafana.com/llms-full.txt
These indexes can help with page discovery before fetching individual documents.
This page is also available in Markdown, which may be easier for automated readers and AI tools to parse than HTML. The Markdown version is available at https://grafana.com/docs/grafana-cloud/learn-and-build/developer-resources/api-reference/http-api/advisor.md, or by sending Accept: text/markdown to https://grafana.com/docs/grafana-cloud/learn-and-build/developer-resources/api-reference/http-api/advisor/. For broader documentation discovery, the curated index is available at https://grafana.com/llms.txt and the complete index is available at https://grafana.com/llms-full.txt.
Advisor HTTP API
Note
Available in Grafana 12.0 and later.
This API complies with the new Grafana API structure. To learn more refer to documentation about the API structure in Grafana.
This document may not contain the latest version of the API. For the most up-to-date list of available endpoints, refer to advisor.grafana.app/v0alpha1 in Swagger.
This API is in
alpha, so it might change in future releases.
The /apis/advisor.grafana.app/* API exposes the results of Grafana Advisor, the app that runs regular health checks on your data sources, plugins, and Grafana instance.
Advisor stores each run as a Check resource. The check’s status.report field contains the number of analyzed items and the list of failures. You can read these checks to create an alert based on Grafana Advisor results. The rest of the endpoints are for internal use.
Requirements
To use the API you need a service account token to authenticate your requests. Refer to HTTP API authentication.
By default, only users with the Admin role can use the Advisor API. For more information, refer to Organization roles.
Endpoints
Note
Reading checks to build alerts is the only supported public use case. The other endpoints are used internally by Grafana Advisor.
To describe the resources that the Advisor API provides, send a GET request to /apis/advisor.grafana.app/v0alpha1/.
These are the available endpoints:
Base path: /apis/advisor.grafana.app/v0alpha1/namespaces/{namespace}/
Replace {namespace} with your namespace. To learn which namespace to use, refer to the
API overview.
| Method | Summary | Path |
|---|---|---|
| GET | List checks | checks |
| POST | Create a check | checks |
| DELETE | Delete a collection of checks | checks |
| GET | Get a check | checks/{name} |
| PUT | Replace a check | checks/{name} |
| PATCH | Update a check | checks/{name} |
| DELETE | Delete a check | checks/{name} |
| GET | Get the status of a check | checks/{name}/status |
| PUT | Replace the status of a check | checks/{name}/status |
| PATCH | Update the status of a check | checks/{name}/status |
| GET | List check types | checktypes |
| POST | Create a check type | checktypes |
| DELETE | Delete a collection of check types | checktypes |
| GET | Get a check type | checktypes/{name} |
| PUT | Replace a check type | checktypes/{name} |
| PATCH | Update a check type | checktypes/{name} |
| DELETE | Delete a check type | checktypes/{name} |
| GET | Get the status of a check type | checktypes/{name}/status |
| PUT | Replace the status of a check type | checktypes/{name}/status |
| PATCH | Update the status of a check type | checktypes/{name}/status |
| POST | Register check types | register |
| GET | Get translations | translations |
List checks
GET /apis/advisor.grafana.app/v0alpha1/namespaces/{namespace}/checks
Lists the checks that Advisor has run in the specified namespace, including their results. Advisor creates a new check every time it runs, so the response contains several checks for each check type. To get the current state, use the most recent check of each type.
Path parameters:
{namespace}: To learn more about which namespace to use, refer to the API overview.
Query parameters:
labelSelector(optional): Filters checks by label. For example,advisor.grafana.app/type=datasourcereturns only data source checks.limit(optional): Sets the maximum number of checks to return per page.continue(optional): Sets the token from themetadata.continuefield of a previous response to fetch the next page.
Example request
The following example shows a request to list checks:
GET /apis/advisor.grafana.app/v0alpha1/namespaces/default/checks HTTP/1.1
Accept: application/json
Authorization: Bearer <SERVICE_ACCOUNT_TOKEN>Replace <SERVICE_ACCOUNT_TOKEN> with your service account token.
Example response
The following example shows the response:
HTTP/1.1 200 OK
Content-Type: application/json
{
"kind": "CheckList",
"apiVersion": "advisor.grafana.app/v0alpha1",
"metadata": {
"resourceVersion": "1762675200000000"
},
"items": [
{
"kind": "Check",
"apiVersion": "advisor.grafana.app/v0alpha1",
"metadata": {
"name": "check-7xk2p",
"namespace": "default",
"creationTimestamp": "2026-11-09T06:00:00Z",
"labels": {
"advisor.grafana.app/type": "datasource"
},
"annotations": {
"advisor.grafana.app/status": "processed"
}
},
"spec": {},
"status": {
"report": {
"count": 4,
"failures": [
{
"severity": "high",
"stepID": "health-check",
"item": "Production Prometheus",
"itemID": "prometheus-prod",
"links": [
{
"url": "/connections/datasources/edit/prometheus-prod",
"message": "Fix me",
"messageKey": "advisor.link.fix-me"
}
]
}
]
}
}
},
{
"kind": "Check",
"apiVersion": "advisor.grafana.app/v0alpha1",
"metadata": {
"name": "check-m4q9z",
"namespace": "default",
"creationTimestamp": "2026-11-09T06:00:05Z",
"labels": {
"advisor.grafana.app/type": "plugin"
},
"annotations": {
"advisor.grafana.app/status": "processed"
}
},
"spec": {},
"status": {
"report": {
"count": 12,
"failures": []
}
}
}
]
}Each item in the items array is one check. The following fields are the most relevant to evaluate check results:
metadata.labels["advisor.grafana.app/type"]: The check type, for exampledatasource,plugin,config,instance, orssosetting.metadata.annotations["advisor.grafana.app/status"]: The processing status of the check. The value isprocessedwhen the check finishes successfully, orerrorif the check failed to run. The annotation is missing while the check is still running.metadata.creationTimestamp: When the check ran. Use it to find the most recent check of each type.status.report.count: The number of items the check analyzed.status.report.failures: The list of issues the check found. An empty list means that the check found no issues.
Each entry in status.report.failures contains the following fields:
severity: The severity of the issue:highfor issues that need action, orlowfor issues that need investigation.stepID: The ID of the check step that found the issue, for examplehealth-check.item: The human-readable name of the affected item, for example a data source name.itemID: The ID of the affected item, for example a data source UID.links: Links to pages where you can fix the issue. Each link contains aurl, amessage, and an optionalmessageKeywith the translation key of the message.
Status codes
The endpoints on this page return the following status codes:
Related resources
Use the following resources to keep working with Grafana Advisor and the Grafana APIs:
- Alerting on Advisor results: Refer to Create an alert based on Grafana Advisor results.
- Grafana Advisor: Refer to Grafana Advisor.
- API structure: Refer to API structure in Grafana.
Was this page helpful?
Related resources from Grafana Labs


